function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	play_field:GetLevelScreen():AddTaskSafe(CreateTask('HELMET', '', 'helmet'))
	
	zoom_drawer = CreateZoomZone('close_zone_storage',                                         
                               '',
                               'bgzoom',
                               'brush');
    zoom_drawer.SetOffsetZ(400);                               
	
	AddRandomTasks(17,
                    CreateTask('HARDBOARD', '', 'board'),
					CreateTask('BONE', '', 'bone'),
					CreateTask('CANDLEHOLDER', '', 'candlestick'),
					CreateTask('CHEESE', '', 'cheese'),
					CreateTask('COOKS_CAP', '', 'cooks_cap'),
					CreateTask('CORKSCREW', '', 'corkscrew'),
					CreateTask('CUCUMBER', '', 'cucumber'),
					CreateTask('DUSTPAN', '', 'dustpan'),
					CreateTask('FORK', '', 'fork'),
					CreateTask('FRYING_PAN', 'FRYING_PANS', 'fryingpan', 'fryingpan2'),
					CreateTask('GIFT', '', 'gift'),
					CreateTask('GOBLET', '', 'goblet'),
					CreateTask('ONION', '', 'onion'),
					CreateTask('PILLOW', '', 'pillow'),
					CreateTask('PUMPKIN', '', 'pumpkin'),
					CreateTask('SPOON', '', 'spoon'),					
					CreateTask('TEDDYBEAR', '', 'teddybear'),
					CreateTask('WATERMELON', '', 'watermelon'))
	
	
	local object = play_field:GetObject('ventilation_zone');
	inventory_ventilation = CreateInventory(object:GetX(),
                                        object:GetY(),
                                        object:GetZ() + 10,
                                        "ventilation_zone",
                                        CreateItem('brush_tool', 'brush_scaled'),
                                        nil,
                                        CreateItem('broom_tool', 'broom_scaled'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_17_1");
	
	inventory_ventilation.OnShown = function()
		RegisterZoomZone(zoom_drawer, 'drawer_zone')
	end
	
	inventory_ventilation.state_changer = 'OnVentilationComplete'
	
	inventory_ventilation.OnComplete = function()
		local af = CreateAnimationEffector()
        local obj = play_field:GetObject('helmet')
        af:AttachTo(obj)
        af:SetMode(_ANIM_FWD)
        af:SetKey(_TRACK_Y, 0.0, obj:GetY())
        af:SetKey(_TRACK_Y, 0.6, obj:GetY() + 100)        
        af:Play()
        game_state.locked_objects['helmet'] = false
		PlaySound('17_HelmetFall')
	end
	
	local t = CreateTool('brush', 'brush_scaled')
	t.OnSuccess = function()
	   UnregisterZoomZone(zoom_drawer)
	end
	
	t.OnSet = function()
	    zoom_drawer.SetVisible(false)
		if game_state.locker:GetNReferences() > 0 then
	        game_state.locker:Release()
	    end
	end
    t.OnFail = function()
	    play_field:ShowParticleLine(GetMouseX(),
                                    GetMouseY(),
                                    play_field:GetObject('drawer_zone'):GetX(),
                                    play_field:GetObject('drawer_zone'):GetY(),
                                    300.0);
        play_field:GetObject('brush_scaled'):SetVisible(false);
        if game_state.locker:GetNReferences() > 0 then
	        game_state.locker:Release()
	    end
	end	
	CreateTool('broom', 'broom_scaled')

	
	InitChain1(screen);
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
    InitChain2(screen);
    InitChain3(screen);
	game_state.chain3.final = true
	
	AddSheriffEyeLogic();
	
	game_state.helmet_found = false
	game_state.all_items_found = false
	
	game_state.locked_objects['helmet'] = true
	game_state.meta_object = 'cigar17'
	
	game_state.OnStartingComicsComplete = function()
		inventory_ventilation.Unlock()
	end
	
	game_state.OnVentilationComplete = function()
	    if not play_field:HasObject('helmet') then
	        return
	    end
		local af = CreateAnimationEffector()
        local obj = play_field:GetObject('helmet')
		obj:SetY(GetY() + 100)        
        game_state.locked_objects['helmet'] = false
	end
	
	game_state.CheckWinConditions = function()
		if IsNotebookClosed() and ArePanelTasksComplete() then
		    if game_state.helmet_found then
			    game_state.chain3.Start()
			    return
			end
			game_state.chain2.Start()
		end
	end
	
	game_state.chain2_shown = false
	
	local s = CreateSoundEntity("17_FirePlace")
	s:AttachTo(play_field)
	s:Play(true)
end

function OnMinigameCompleted()
end

function InitChain1(screen)
    local comics1 = CreateComics(screen,                                 
                                 'Assistant')
								 
	local comics2 = CreateComics(screen,                                 
                                 'Sheriff',
								 'eyes')
    
    comics2.OnHidden = function()
		comics2.DefaultOnHidden()
		inventory_ventilation.Unlock()
    end
    
    game_state.chain1 = CreateChain('pixel1',
                                    screen,
                                    comics1, GetString("COMICS_17_1"),
									comics2, GetString("COMICS_17_2"))
end

function InitChain2(screen)
    local comics1 = CreateComics(screen,                                 
                                 'Sheriff',
								 'eyes')
	
	comics1.OnHidden = function()
		game_state.helmet_found = true
		if game_state.all_items_found then
			game_state.chain3.Start()
		else
		    play_field:GetLevelScreen():GetPanel():Go()
		    if game_state.locker:GetNReferences() > 0 then
		        game_state.locker:Release()
		    end		    
		end
		game_state.CheckWinConditions()
	end
    
    game_state.chain2 = CreateChain('pixel2',
                                    screen,
                                    comics1, GetString("COMICS_17_3"))
end

function InitChain3(screen)
    local comics1 = CreateComics(screen,                                 
                                 'Sheriff',
								 'eyes')
								 
	local comics2 = CreateComics(screen,                                 
                                 'Assistant')

	local comics3 = CreateComics(screen,                                 
                                 'Sheriff',
								 'eyes')
								 
    comics3.OnHidden = function()
        OnWin()
    end
    
    game_state.chain3 = CreateChain('pixel3',
                                    screen,
                                    comics1, GetString("COMICS_17_4"),
									comics2, GetString("COMICS_17_5"),
									comics3, GetString("COMICS_17_6"))
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
	game_state.all_items_found = true
	if game_state.helmet_found then
		game_state.chain3.Start()
	end
end

function OnNotebookOpened()
end


function OnUpdate(dt)
end

function OnScreenShown()
	game_state.chain1.Start()
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectWasFound(object)
    if object:GetName() == 'helmet' then
		game_state.chain2.Start()
	end
end


function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
    if not play_field:GetLevelScreen():HasTaskObjects() then
		GetProfileManager():GetCurrentProfile():AddStateChanger('CheckWinConditions')
	end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/BG.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG',anim,511,383,80,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/board.png',0,0,72,87,1,0)
	anim:SetHotSpot(36,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hardboard',anim,586,597,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/bone.png',0,0,94,42,1,0)
	anim:SetHotSpot(47,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bone',anim,517,704,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/broom.png',0,0,140,268,1,0)
	anim:SetHotSpot(70,134)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom',anim,952,495,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/candlestick.png',0,0,49,68,1,0)
	anim:SetHotSpot(24,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candlestick',anim,251,346,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/cheese.png',0,0,57,40,1,0)
	anim:SetHotSpot(28,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cheese',anim,294,490,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/cooks_cap.png',0,0,63,38,1,0)
	anim:SetHotSpot(31,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cooks_cap',anim,778,80,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/corkscrew.png',0,0,52,45,1,0)
	anim:SetHotSpot(26,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('corkscrew',anim,400,735,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/cucumber.png',0,0,51,23,1,0)
	anim:SetHotSpot(25,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cucumber',anim,321,362,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/dustpan.png',0,0,67,80,1,0)
	anim:SetHotSpot(33,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dustpan',anim,700,541,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/fork.png',0,0,41,66,1,0)
	anim:SetHotSpot(20,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fork',anim,401,400,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/fryingpan.png',0,0,87,71,1,0)
	anim:SetHotSpot(43,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fryingpan',anim,781,441,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/gift.png',0,0,81,77,1,0)
	anim:SetHotSpot(40,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gift',anim,191,634,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/goblet.png',0,0,23,35,1,0)
	anim:SetHotSpot(11,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('goblet',anim,572,311,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/onion.png',0,0,31,31,1,0)
	anim:SetHotSpot(15,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('onion',anim,639,401,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/pillow.png',0,0,155,75,1,0)
	anim:SetHotSpot(77,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pillow',anim,845,576,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/pumpkin.png',0,0,54,56,1,0)
	anim:SetHotSpot(27,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pumpkin',anim,542,542,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/spoon.png',0,0,31,73,1,0)
	anim:SetHotSpot(15,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('spoon',anim,262,605,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/teddybear.png',0,0,108,103,1,0)
	anim:SetHotSpot(54,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('teddybear',anim,390,649,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/watermelon.png',0,0,86,81,1,0)
	anim:SetHotSpot(43,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('watermelon',anim,655,645,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/cherpak layer.png',0,0,12,8,1,0)
	anim:SetHotSpot(6,4)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cherpak layer',anim,765,211,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/garbuz layer.png',0,0,57,59,1,0)
	anim:SetHotSpot(28,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('garbuz layer',anim,544,540,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/igrushka layer.png',0,0,81,104,1,0)
	anim:SetHotSpot(40,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('igrushka layer',anim,403,629,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/kolpak layer.png',0,0,45,24,1,0)
	anim:SetHotSpot(22,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kolpak layer',anim,784,87,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/luk layer.png',0,0,26,13,1,0)
	anim:SetHotSpot(13,6)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('luk layer',anim,639,411,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/podushka layer.png',0,0,131,79,1,0)
	anim:SetHotSpot(65,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('podushka layer',anim,841,571,109,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/skovoroda layer.png',0,0,71,26,1,0)
	anim:SetHotSpot(35,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skovoroda layer',anim,764,452,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/sur layer.png',0,0,41,45,1,0)
	anim:SetHotSpot(20,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sur layer',anim,319,496,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/venik layer.png',0,0,40,94,1,0)
	anim:SetHotSpot(20,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('venik layer',anim,930,473,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/vilka layer.png',0,0,22,15,1,0)
	anim:SetHotSpot(11,7)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('vilka layer',anim,389,428,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/helmet.png',0,0,69,47,1,0)
	anim:SetHotSpot(34,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('helmet',anim,704,243,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Layers/kaska layer.png',0,0,155,77,1,0)
	anim:SetHotSpot(77,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kaska layer',anim,688,239,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Zoom/bgzoom.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bgzoom',anim,512,384,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Zoom/brush.png',0,0,591,143,1,0)
	anim:SetHotSpot(295,71)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('brush',anim,494,387,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('drawer_zone',anim,526,356,100,0,15,5)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/broom.png',0,0,140,268,1,0)
	anim:SetHotSpot(70,134)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom_scaled',anim,942,492,125,60,0.3,0.3)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/broom.png',0,0,140,268,1,0)
	anim:SetHotSpot(70,134)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('broom_tool',anim,107,77,100,60,0.3,0.3)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Zoom/brush.png',0,0,591,143,1,0)
	anim:SetHotSpot(295,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_scaled',anim,524,356,100,45,0.15,0.15)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Zoom/brush.png',0,0,591,143,1,0)
	anim:SetHotSpot(295,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush_tool',anim,112,67,100,45,0.14,0.14)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('ventilation_zone',anim,686,239,123,0,20,10)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,532,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,734,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,723,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Assistant.png',0,0,499,654,1,0)
	anim:SetHotSpot(249,327)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Assistant',anim,422,442,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Items/fryingpan2.png',0,0,69,120,1,0)
	anim:SetHotSpot(34,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fryingpan2',anim,919,137,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/cigar17.png',0,0,127,71,1,0)
	anim:SetHotSpot(63,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar17',anim,233,459,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Animations/ogon.dds',0,0,37,91,50,15)
	anim:SetHotSpot(19,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ogon',anim,683,452,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/17_ room_cook_7/Animations/water.dds',0,0,176,223,25,10)
	anim:SetHotSpot(88,112)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('water',anim,297,236,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
